Download it now!
Bug 104203 - FILESAVE: PPTX: lines lost after RT
Summary: FILESAVE: PPTX: lines lost after RT
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: PPTX
  Show dependency treegraph
 
Reported: 2016-11-27 14:40 UTC by Xisco Faulí
Modified: 2019-09-28 18:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Results attachment 76501 with LO (12.94 KB, image/png)
2016-11-28 11:26 UTC, Telesto
Details
Results 76501 with Powerpoint Viewer.png (10.04 KB, image/png)
2016-11-28 11:29 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-27 14:40:26 UTC
Steps:
1. Open attachment 75011 [details]

Observed Behaviour: Shape is lost after RT

Reproduced in 

Version: 5.3.0.0.alpha1+
Build ID: 757a60d01dd152aadab2ba3c8224252481ce8a88
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; Layout
Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 1 Xisco Faulí 2016-11-27 14:45:55 UTC
attachment 76501 [details] seems to be affected by the same problem too.
Comment 2 Telesto 2016-11-28 11:24:02 UTC
Confirming lost shape with attachment 75011 [details]:
Version: 5.3.0.0.beta1
Build ID: 690f553ecb3efd19143acbf01f3af4e289e94536
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; Locale: nl-NL (nl_NL); Calc: CL

Shape is also missing in PowerPoint Viewer

No repro with attachment 76501 [details]. I do see lots of issue, but they are quite different.
Comment 3 Telesto 2016-11-28 11:26:54 UTC
Created attachment 129068 [details]
Results attachment 76501 [details] with LO
Comment 4 Telesto 2016-11-28 11:29:00 UTC
Created attachment 129071 [details]
Results 76501 with Powerpoint Viewer.png
Comment 5 raal 2016-11-29 16:29:02 UTC
This seems to have begun at the below commit.
Adding Cc: to Andras Timar; Could you possibly take a look at this one? Thanks

author	Andras Timar <andras.timar@collabora.com>	2015-05-27 10:47:29 (GMT)
committer	Andras Timar <andras.timar@collabora.com>	2015-05-27 14:04:48 (GMT)
commit	1a4eeac14b618714bb8be9755f508ee63ac4a422 (patch)
tree	20c7699d164bb6610b15c097a46b4d801b8901f9
parent	b37b5e115fc29b0fcc02bba73826a775d06a7f79 (diff)
tdf#90338 related: ignore empty shape handles struct

2f8abe75c0fde06e2dcc08f87c0d874292f0c8f4 is the first bad commit
commit 2f8abe75c0fde06e2dcc08f87c0d874292f0c8f4
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sat Jul 11 09:50:58 2015 -0700

    source sha:1a4eeac14b618714bb8be9755f508ee63ac4a422
 git bisect log
# bad: [05d11632892a322664fb52bac90b2598b7fb7544] source sha:5616d22b57a9a5e57d545e912e029162a230829b
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start 'origin/master' 'oldest'
# bad: [97526ab777da7e58ce283c05498262ecdd4d6f7f] source sha:4ea70f87f7a2b61eda6e5ab1f48debf6fcfadc1f
git bisect bad 97526ab777da7e58ce283c05498262ecdd4d6f7f
# bad: [2202cdaa0eae3f646f1285a0ea45934edeb26e8a] source sha:a88bf8fd10c42a15e5d6e66da656889c82b4933a
git bisect bad 2202cdaa0eae3f646f1285a0ea45934edeb26e8a
# bad: [1d0a95445c203c11beb1aa5eae844cf178ea0984] source sha:8f324aebfb94c4b2023894121b954ad4f35eb395
git bisect bad 1d0a95445c203c11beb1aa5eae844cf178ea0984
# bad: [fb2523235c0a0c37d4e1f482afde48066f2c4b83] source sha:5b87ff40857147bee697a9bf420aae89e8cd9e93
git bisect bad fb2523235c0a0c37d4e1f482afde48066f2c4b83
# good: [f01d28277d2e35de86331eebe5e3af87add50501] source sha:a570e3070943845d3e52c1d0cd406b1a530bf0c4
git bisect good f01d28277d2e35de86331eebe5e3af87add50501
# bad: [97aa480c7be34fcd095e064f3980c8c265cc2842] source sha:b33972b61401da79aadbb98d486eec5c285b5946
git bisect bad 97aa480c7be34fcd095e064f3980c8c265cc2842
# bad: [193ccffc25300d5c26e6f30ab06a2315b6bff879] source sha:c725ebaced006c02baeb9b0ee5ac6ac4625adc01
git bisect bad 193ccffc25300d5c26e6f30ab06a2315b6bff879
# bad: [db7fb3816214317023110bf1d7f16017aff56d38] source sha:afc3010f45ee67a2517fcebac5d96c309eb94118
git bisect bad db7fb3816214317023110bf1d7f16017aff56d38
# bad: [4c5abae173268fec2f0a192e1235d22ac4c70c18] source sha:0f95f8ffd7a3685ca53876005a9c96f2e2e7bc99
git bisect bad 4c5abae173268fec2f0a192e1235d22ac4c70c18
# good: [c97db8c16b7e19554f471dbf808a8e069da3236b] source sha:a6f611cb3d71edb7934c9ed44046ad621c2b7480
git bisect good c97db8c16b7e19554f471dbf808a8e069da3236b
# bad: [f58a8ce395b1487680e68c7b951e5c165115d7dc] source sha:622988dd849d8bc9344dbd56b7d9a6172095cf99
git bisect bad f58a8ce395b1487680e68c7b951e5c165115d7dc
# good: [87b75aaa4be6e2cc592f145ae341f597fa03f062] source sha:b37b5e115fc29b0fcc02bba73826a775d06a7f79
git bisect good 87b75aaa4be6e2cc592f145ae341f597fa03f062
# bad: [2f8abe75c0fde06e2dcc08f87c0d874292f0c8f4] source sha:1a4eeac14b618714bb8be9755f508ee63ac4a422
git bisect bad 2f8abe75c0fde06e2dcc08f87c0d874292f0c8f4
# first bad commit: [2f8abe75c0fde06e2dcc08f87c0d874292f0c8f4] source sha:1a4eeac14b618714bb8be9755f508ee63ac4a422
Comment 6 QA Administrators 2017-11-30 06:25:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug